### Method

# Gck Session enumerate_objects

#### Declaration [src]

    GckEnumerator*
    gck_session_enumerate_objects (
      GckSession* self,
      GckAttributes* match
    )

#### Description [src]

Setup an enumerator for listing matching objects available via this session.

If `match` is a floating reference, it is consumed.

This call will not block but will return an enumerator immediately.

#### Parameters

`match`

  Type: `GckAttributes`

  Attributes that the objects must match, or empty for all objects.

  The data is owned by the caller of the method.

#### Return value

Type: `GckEnumerator`

A new enumerator.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.